Bug 453863 - 'network --bootproto=query' data not carried to stage2
Summary: 'network --bootproto=query' data not carried to stage2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.2
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 22:32 UTC by Issue Tracker
Modified: 2018-10-27 14:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:33:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0164 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2009-01-20 16:05:24 UTC

Description Issue Tracker 2008-07-02 22:32:23 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Jeff Bastian 2008-07-02 22:41:46 UTC
This is a continuation of bug 401531 to add the --bootproto=query flag to kickstart.

The new flag works -- it allows one to manually enter the network configuration
-- however, there are some minor issues with it.

Stage 1 asks for IP address, netmask, gateway, and DNS servers.

In stage 2 there are two problems:
  1. The NIC is configured for DHCP by default.  One has to click on Edit and
     you'll see the manually entered IP address and netmask from stage 1, so
     just click OK and it changes to a static configuration.  If you pick
     manual config in stage 1, it should default to a manual config in
     stage 2 also.
  2. The gateway and DNS servers are NOT carried over from stage 1, so you
     have to re-enter these.  These should be carried over as well.


Comment 2 Jeff Bastian 2008-07-02 22:51:04 UTC
Created attachment 310866 [details]
series of anaconda screenshots

Attached is a series of screenshots showing the problem.

query0.png
  stage 1: IPv4 manual configuration is chosen

query1.png
  stage 1: manual TCP/IP data is entered including IP address, netmask,
	   gateway, and name server

query2.png
  stage 2: network configuration screen with eth0 configured for DHCP
	   even though we just did a manual config in stage 1

query3.png
  stage 2: click on the Edit button by the network devices and it shows
	   eth0 with a manual configuration and the IP address and netmask
	   from stage 1

query4.png
  stage 2: click OK on the Edit dialog box and now eth0 is set for a manual
	   configuration, but the gateway and DNS fields are empty, even
	   though we just entered this data in stage 1

Comment 3 Chris Lumens 2008-07-11 20:08:24 UTC
I did most of the work for this for 5.1, so I'll take it for 5.3 to finish
everything up.

Comment 4 RHEL Product and Program Management 2008-07-11 20:21:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Chris Lumens 2008-07-28 18:19:45 UTC
This should be fixed in the next build of anaconda.  Let's give it a pretty
solid test once we start producing the weekly snapshot trees to make sure it
behaves just as expected.  Thanks for the bug report.

Comment 11 errata-xmlrpc 2009-01-20 21:33:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html


Note You need to log in before you can comment on or make changes to this bug.